# Entry Point

The executable inside your container that is launched by the orchestrator is `/opt/orbs/service` - this file must exist and must be executable. Failing to provide this file will prevent your container from starting.

## Shell script example

This example will use the shell script `entrypoint.sh` to run the primary process of your service. Let's assume the service is implemented with Node.js and starts with the command `npm start`.&#x20;

Create the file `entrypoint.sh` in the root of the image with the following content:

```shell
#!/bin/sh
npm start
```

Then, in your Dockerfile, copy this script over the required name:

```docker
# install entry point executable
COPY ./entrypoint.sh /opt/orbs/service
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/entry-point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
